diff --git a/js/Article.js b/js/Article.js
index d44115139..cb57374fe 100644
--- a/js/Article.js
+++ b/js/Article.js
@@ -351,7 +351,10 @@ define(["dojo/_base/declare"], function (declare) {
 		scrollByPages: function (page_offset, event) {
 			const elem = App.isCombinedMode() ? $("headlines-frame") : $("content-insert");
 
-			const offset = elem.offsetHeight * page_offset * 0.99;
+			/* keep a line or so from the previous page  */
+			const offset = (elem.offsetHeight - (page_offset * 50)) * page_offset;
+
+			console.log(offset);
 
 			this.scroll(offset, event);
 		},
diff --git a/js/Headlines.js b/js/Headlines.js
index cd6868f6f..ac99e8853 100755
--- a/js/Headlines.js
+++ b/js/Headlines.js
@@ -8,6 +8,7 @@ define(["dojo/_base/declare"], function (declare) {
 		headlines: [],
 		current_first_id: 0,
 		_scroll_reset_timeout: false,
+		line_scroll_offset: 120, /* px */
 		sticky_header_observer: new IntersectionObserver(
 			(entries, observer) => {
 				entries.forEach((entry) => {
@@ -844,7 +845,7 @@ define(["dojo/_base/declare"], function (declare) {
 							Article.setActive(next_id);
 							Article.cdmMoveToId(next_id, { event: event, noscroll: noscroll });
 						} else if (next_id) {
-							Article.scroll(ctr.offsetHeight / 2, event);
+							Article.scroll(Headlines.line_scroll_offset, event);
 						}
 
 					} else if (next_id) {
@@ -870,7 +871,7 @@ define(["dojo/_base/declare"], function (declare) {
 								Article.cdmMoveToId(prev_id, { force: noscroll, event: event, noscroll: noscroll });
 							}
 						} else {
-							Article.scroll(-ctr.offsetHeight / 2, event);
+							Article.scroll(-Headlines.line_scroll_offset, event);
 						}
 
 					} else if (prev_id) {
diff --git a/js/tt-rss.js b/js/tt-rss.js
index 0e970205c..25521a458 100644
--- a/js/tt-rss.js
+++ b/js/tt-rss.js
@@ -338,13 +338,13 @@ require(["dojo/_base/kernel",
 						const ctr = App.isCombinedMode() ? $("headlines-frame") : $("content-insert");
 
 						if (ctr)
-							Article.scroll(ctr.offsetHeight / 2, event);
+							Article.scroll(Headlines.line_scroll_offset, event);
 					};
 					this.hotkey_actions["article_scroll_up"] = function (event) {
 						const ctr = App.isCombinedMode() ? $("headlines-frame") : $("content-insert");
 
 						if (ctr)
-							Article.scroll(-ctr.offsetHeight / 2, event);
+							Article.scroll(-Headlines.line_scroll_offset, event);
 					};
 					this.hotkey_actions["next_article_page"] = function (event) {
 						Headlines.scrollByPages(1, event);
